Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.server.config
Class ServerConfigService

    java.lang.Object
      org.jboss.portal.server.config.ServerConfigService

All Implemented Interfaces:
  ServerConfig

    public class ServerConfigService

extends java.lang.Object
implements ServerConfig

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Field Summary

Fields inherited from interface org.jboss.portal.server.config.ServerConfig
`DOMAIN_KEY`

Constructor Summary
`ServerConfigService()`

Method Summary
`void` | `create()`
`void` | `destroy()`
`java.lang.String` | `dumpProperties(boolean html)`
`java.lang.String` | `getConfigLocation()`
`org.jboss.portal.common.util.LoaderResource` | `getConfigResource()`
`java.lang.String` | `getDomain()` Return the domain of the portal server.
`java.lang.String` | `getProperty(java.lang.String name)` Return a property of the server configuration.
`void` | `setConfigLocation(java.lang.String configLocation)`
`void` | `setProperty(java.lang.String name, java.lang.String value)` Set a property when the value is not null or remove it when it is null.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerConfigService

    public ServerConfigService()

Method Detail

### getDomain

    public java.lang.String getDomain()

  Description copied from interface: `ServerConfig`
  Return the domain of the portal server.

  Specified by:
    `getDomain` in interface `ServerConfig`
  Returns:
    the portal server domain.

### getConfigLocation

    public java.lang.String getConfigLocation()

### setConfigLocation

    public void setConfigLocation(java.lang.String configLocation)

### getConfigResource

    public org.jboss.portal.common.util.LoaderResource getConfigResource()

### getProperty

    public java.lang.String getProperty(java.lang.String name)

  Description copied from interface: `ServerConfig`
  Return a property of the server configuration.

  Specified by:
    `getProperty` in interface `ServerConfig`
  Parameters:
    `name` - the property name
  Returns:
    the property value or null if it does not exist

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.String value)

  Description copied from interface: `ServerConfig`
  Set a property when the value is not null or remove it when it is null.

  Specified by:
    `setProperty` in interface `ServerConfig`
  Parameters:
    `name` - the property name
    `value` - the property value

### dumpProperties

    public java.lang.String dumpProperties(boolean html)

### create

    public void create()
                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### destroy

    public void destroy()
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD